classification
Title: distutils out-of-date for runtime_library_dirs flag on OS X
Type: behavior Stage: resolved
Components: Distutils Versions: Python 3.0, Python 3.1, Python 2.7, Python 2.6
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: janssen Nosy List: janssen, r.david.murray, ronaldoussoren, tarek
Priority: normal Keywords: easy

Created on 2008-03-12 02:50 by janssen, last changed 2015-04-09 17:41 by r.david.murray. This issue is now closed.

Messages (6)
msg63469 - (view) Author: Bill Janssen (janssen) * (Python committer) Date: 2008-03-12 02:50
The OS X linker now understands -R, but distutils continues to pass the
wrong flags back in
distutils.unixccompiler.runtime_library_dir_option().  I'm checking with
the Apple folks as to exactly what the right flag is.
msg74438 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2008-10-07 12:05
Do you mean the -rpath option?

Note that this is (IMHO) less useful  than on other systems because the 
linked-to library needs to have a specific link path (@rpath/mylib.dylib).

It can be useful for linking extentions though.

Using this feature requires OSX 10.5, AFAIK it is not supported on earlier  
releases of OSX.
msg74456 - (view) Author: Bill Janssen (janssen) * (Python committer) Date: 2008-10-07 15:00
Yes, we were looking at using this for linking PyLucene's JCC extension.
 I believe we came up with a different way of doing it.  It would still
be useful to have distutils.unixccompiler.runtime_library_dir_option()
updated to understand the right flags for Leopard.
msg92319 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2009-09-06 13:31
Could you provide an example that shows why adding support for the -rpath 
option on OSX would be useful? (As in a set of source files that shows how 
this support would be used).

As I mentioned before the OSX support for -rpath behaves completely 
different than that on Linux, and I'd expect that adding 
runline_library_dirs_option support for OSX would cause confusion because 
of that.
msg189602 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2013-05-19 15:34
Is this still a problem or not?  If yes what can be done about it?  If no can we close it?
msg240360 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2015-04-09 17:41
Since no example was forthcomming, let's close this.
History
Date User Action Args
2015-04-09 17:41:38r.david.murraysetstatus: open -> closed

nosy: + r.david.murray
messages: + msg240360

resolution: rejected
stage: resolved
2014-02-03 18:28:56BreamoreBoysetnosy: - BreamoreBoy
2013-05-19 15:34:11BreamoreBoysetnosy: + BreamoreBoy
messages: + msg189602
2009-09-06 13:31:50ronaldoussorensetmessages: + msg92319
2009-04-26 02:00:21ajaksu2setnosy: + tarek

versions: + Python 3.1, Python 2.7, - Python 2.5
2008-10-07 15:00:36janssensetmessages: + msg74456
2008-10-07 12:05:03ronaldoussorensetnosy: + ronaldoussoren
messages: + msg74438
2008-03-12 02:50:02janssencreate